<%
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  
  // First get InstanceID
  esr.setAction("queryGenericList");
  esr.addToken( "service","IDs" );
  esr.addToken( "Qualification", "'Incident Number'=\""+(String)incident.get("Incident_Number")+"\"" );
  %> 
  <%@ include file="sendRequest.jsp"%>
  <%
  if ( resps.getResponse() instanceof String )
  {
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
  else
  {
    List<GenericWSScriptObject> ids = (List<GenericWSScriptObject>)resps.getResponse();
    if ( ids.size() < 1 )
    {
      %>
      <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage=Incident Not Found")%>"/>
      <%
    }
    GenericWSScriptObject id = ids.get(0);
    // Get Financials
    esr.setAction("queryGenericList");
    esr.addToken( "service","Cost" );
    esr.addToken( "Qualification", "'Instance ID 01'=\""+id.get("InstanceId")+"\"" );
    %> 
    <%@ include file="sendRequest.jsp"%>
    <%
    if ( resps.getResponse() instanceof String )
    {
      %>
      <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage=No Financial Information Found")%>"/>
      <!-- Replace the above line with the one below to see the full error.
      <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
      -->
      <%
    }
    else
    {
      List<GenericWSScriptObject> costEntry = (List<GenericWSScriptObject>)resps.getResponse();
      
      NumberFormat nf = NumberFormat.getInstance();
      nf.setMinimumFractionDigits( 2 );
      nf.setMaximumFractionDigits( 2 );
      
      if ( costEntry.size() > 0 )
      {
      %>
        <table>
        <%
        for ( GenericWSScriptObject cost : costEntry )
        {
        %>
        <tr><th colspan="2">Cost</th></tr>
        <tr>
          <th>Class</th>
          <td><%=cost.get( "Cost_Classification" )%></td>
        </tr>
        <tr>
          <th>Type</th>
          <td><%=cost.get( "Cost_Type" )%></td>
        </tr>
        <tr>
          <th>Cost</th>
          <%
          String formattedCost = (String)cost.get( "Associated_Cost_currencyValue" );
          try
          {
              formattedCost = nf.format( Double.parseDouble( formattedCost ) );
          }
          catch (Exception ex)
          {
          }          
          %>
          <td><%=formattedCost + " " + cost.get( "Associated_Cost_currencyCode" ) %></td>
        </tr>
        <tr>
          <th>Assoc Type</th>
          <td><%=cost.get( "Association_Type" )%></td>
        </tr>
        <tr>
          <th>Desc</th>
          <td><%=cost.get( "Description" )%></td>
        </tr>
        <%          
        }
        %> 
       </table>
       <%
      }
      else
      {
          out.print( "<div class=\"msg-success\">No Cost Items</div>" );
      }
    }
  }
%>