<%
ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction("queryGenericList");
esr.addToken( "service","Relationships" );
esr.addToken( "Qualification", "'Request ID02'=\""+incident.get("Incident_Number")+"\"" );
%> 
<%@ include file="sendRequest.jsp"%>
<%
if ( resps.getResponse() instanceof String )
{
  %>
  <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage=No Relationship Information Found")%>"/>
  <!-- Replace the above line with the one below to see the full error.
  <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
  -->
  <%
}
else
{
  List<GenericWSScriptObject> relationships = (List<GenericWSScriptObject>)resps.getResponse();
  if ( relationships.size() > 0 )
  {
  %>
    <table>
    <%
    for ( GenericWSScriptObject relation : relationships )
    {
    %>
    <tr>
      <th colspan="2">Relation</th>
    </tr>
    <tr>
      <th>Relation Type</th>
      <td><%=relation.get( "Association_Type01" )%></td>
    </tr>
    <tr>
      <th>Request Type</th>
      <td><%=relation.get( "Request_Type01" )%></td>
    </tr>
    <tr>
      <th>Summary</th>
      <td><%=relation.get( "Request_Description01" )%></td>
    </tr>
    <tr>
      <th>Status</th>
      <td><%=relation.get( "ConsolidatedStatus" )%></td>
    </tr>
    <tr>
      <th>Start Date</th>
      <td><%=relation.get( "Start_Date_01" )%></td>
    </tr>
    <tr>
      <th>End Date</th>
      <td><%=relation.get( "End_Date_01" )%></td>
    </tr>
    <%          
    }
    %> 
   </table>
   <%
  }
  else
  {
      out.print( "<div class=\"msg-success\">No Relations</div>" );
  }
}
%>