<%
int start = 0;
session.setAttribute("incidentHeaders", incidentHeaders);
if(incidentHeaders == null || incidentHeaders.isEmpty())
{
  out.print("<div class=\"msg-warning\">No Incident Headers Returned</div>");
}
else if(incidentHeaders.size() == 1)
{
  String id = (String)incidentHeaders.get(0).get("Incident_Number");
  %>
  <jsp:forward page="<%=response.encodeURL("loadIncident.jsp?IncidentNumber="+id)%>"/>
  <%
}
else
{
  %>
  <table>
    <tr>
      <th>IN#</th>
      <th>Status</th>
      <th>Priority</th>
      <th>Summary</th>
    </tr>
    <%
    if( request.getParameter("page") != null )
      start = RESULTS_PER_PAGE * Integer.valueOf( request.getParameter("page") );
    int end = start + RESULTS_PER_PAGE;
    
    if ( incidentHeaders.size() < end )
    {
      end = incidentHeaders.size();
    }
    
    Collection<GenericWSScriptObject> list = incidentHeaders.subList( start, end );
    for ( GenericWSScriptObject header : list )
    {
      String id = (String)header.get("Incident_Number");
      java.util.regex.Pattern p = java.util.regex.Pattern.compile( "([A-Za-z]+)[0]+([0-9]+)" );
      java.util.regex.Matcher match = p.matcher( id );
      String displayId = id;
      if ( match.find() && match.groupCount() == 2 )
      {
          displayId = match.group(1)+match.group(2);
      }

      String status = (String)header.get("Status");
      String displayStatus = status;
      if ( status.equalsIgnoreCase( "In Progress" ) )
          displayStatus = "InProg";
      else if ( status.equalsIgnoreCase( "Assigned" ) )
          displayStatus = "Assign";
      
      String priority = (String)header.get("Priority");
      String displayPriority = priority;
      if ( priority.equalsIgnoreCase( "Critical" ) )
          displayPriority = "Crit";
      if ( priority.equalsIgnoreCase( "Medium" ) )
          displayPriority = "Med";

      
      String desc = (String)header.get("Description");
      String link = "loadIncident.jsp?IncidentNumber=" + id;
      String encodedLink = response.encodeURL(link);
    %>
    <tr>
      <td><a href="<%=encodedLink%>"><%=displayId%></a></td>
      <td><%=displayStatus%></td>
      <td class="pri-<%=priority%>"><%=displayPriority%></td>
      <td><%=desc%></td>
    </tr>
    <%
    }
    %>
  </table>
  <%
  int count = 0;
  for( int i = 0; i < incidentHeaders.size(); i+=RESULTS_PER_PAGE )
  {
    if(i == start)
      out.println(count+1);
    else
      out.println("<a href=\""+response.encodeURL(pageURL+"?page="+count)+"\">"+(count+1)+"</a>");
    count++;
  }
}
%>