<%
Map<String, List<String>> staticListsBMCRIM = (Map<String, List<String>>)application.getAttribute("staticListsBMCRIM");
Map<String, Map<String, String>> staticListIDMapBMCRIM = (Map<String, Map<String, String>>)application.getAttribute("staticListIDMapBMCRIM");

if ( staticListsBMCRIM == null )
{
  staticListsBMCRIM = new HashMap<String, List<String>>();
  staticListIDMapBMCRIM = new HashMap<String, Map<String, String>>();

  application.setAttribute( "staticListsBMCRIM", staticListsBMCRIM );
  application.setAttribute( "staticListIDMapBMCRIM", staticListIDMapBMCRIM );

  // Add the values for the Status field
  List<String> statusList =
      Arrays.asList( new String[] {
        "New",
        "Assigned",
        "In Progress",
        "Pending",
        "Resolved",
        "Closed",
        "Cancelled"
  });
  staticListsBMCRIM.put( "Status", statusList );
  Map<String, String> statusIDMap = new HashMap<String,String>();
  statusIDMap.put( "New", "0" );
  statusIDMap.put( "Assigned", "1" );
  statusIDMap.put( "In Progress", "2" );
  statusIDMap.put( "Pending", "3" );
  statusIDMap.put( "Resolved", "4" );
  statusIDMap.put( "Closed", "5" );
  statusIDMap.put( "Cancelled", "6" );
  staticListIDMapBMCRIM.put( "Status", statusIDMap );

  // Add the values for the Impact field
  List<String> impactList =
      Arrays.asList( new String[] {
        "1-Extensive/Widespread",
        "2-Significant/Large",
        "3-Moderate/Limited",
        "4-Minor/Localized"
  });
  staticListsBMCRIM.put( "Impact", impactList );

  // Add the values for the Urgency field
  List<String> urgencyList =
      Arrays.asList( new String[] {
        "1-Critical",
        "2-High",
        "3-Medium",
        "4-Low"
  });
  staticListsBMCRIM.put( "Urgency", urgencyList );

  // Add the values for the Service Type field
  List<String> serviceTypeList =
      Arrays.asList( new String[] {
        "User Service Restoration",
        "User Service Request",
        "Infrastructure Restoration",
        "Infrastructure Event"
  });
  staticListsBMCRIM.put( "Service_Type", serviceTypeList );

  // Add the values for Yes/No fields
  List<String> yesNoList =
      Arrays.asList( new String[] {
        "No",
        "Yes"
  });
  staticListsBMCRIM.put( "YesNo", yesNoList );

  //Add the values for View Access fields
  List<String> viewAccessList =
      Arrays.asList( new String[] {
        "Public",
        "Internal"
  });
  staticListsBMCRIM.put( "ViewAccess", viewAccessList );

  //Add the values for Closure Source fields
  List<String> closureSource =
      Arrays.asList( new String[] {
        "Customer",
        "System",
        "Support Agent"
  });
  staticListsBMCRIM.put( "ClosureSource", closureSource );

  //Add the values for Reported Source fields
  List<String> reportedSource =
      Arrays.asList( new String[] {
        "",
        "Direct Input",
        "Email",
        "External Escalation",
        "Fax",
        "Systems Management",
        "Phone",
        "Voice Mail",
        "Walk In",
        "Web",
        "Other"
  });
  staticListsBMCRIM.put( "ReportedSource", reportedSource );
}
%>