<%
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  esr.setAction( "queryWorkLogs" );
  esr.addToken( "IncidentNumber", (String)incident.get( "Incident_Number" ) );
  %>
  <%@ include file="sendRequest.jsp"%>
  <%
  if ( resps.getResponse() instanceof String )
  {
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
  else
  {
    List<GenericWSScriptObject> infoEntry = (List<GenericWSScriptObject>)resps.getResponse();
    if ( infoEntry != null && infoEntry.size() > 0 )
    {
    %>
      <table>
      <tr>
        <th>Type</th>
        <th>Summary</th>
        <th>Submit</th>
      </tr>
      <%
      for ( GenericWSScriptObject info : infoEntry )
      {
        String submitDate = (String)info.get( "Submit_Date" );
        try
        {
          List<String> dateLines = RemedyDateFromatter.getTwoLines( submitDate );
          submitDate = dateLines.get(0) + "<br>" + dateLines.get(1);
        }
        catch ( Exception ex )
        { // No big deal if we can't display the date nicely
        }
      %>
      <tr>
        <td><%=info.get( "Work_Log_Type" )%></td>
        <td><%=info.get( "Description" )%></td>
        <td><%=submitDate%></td>
      </tr>
      <%
      }
      %>
     </table>
     <%
    }
    else
    {
        out.print( "<div class=\"msg-success\">No work info</div>" );
    }
  }
%>