<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.invoqsystems.integration.remedy.scriptobjects.*"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />
<%@ include file="configuration.jsp"%>
<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
    </style>
  </head>

  <body>
    <%
    String url = (String)request.getParameter("url");
    String tab = (String)request.getParameter("tab");
    String service = (String)request.getParameter("service");
    String field = ((String)request.getParameter("field")).split("-")[0];
    %>
    <form name="form" action="<%=response.encodeURL("searchRemObjs.jsp?url="+url+"&tab="+tab+"&service="+service+"&field="+field)%>" method="POST">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
        <h1>Search ...</h1>
      </div>
      <div id="content">
        <%

        /** NOTES:
          * tier's refer to the searching tiers preformed when doing a lookup
          * tier 1 is always a company search
          * tier 2 is generally a organization search
          * tier 3 is either a group or person last name depending on the remedy object which is being looked up
          **/
        String wsfield = "";
        String orgWSField = "Support Organization";
        if( (request.getParameter("done") != null || ( request.getParameter("tier3") != null && !service.equals("Assignee")) ||  request.getParameter("assignee") != null ) && url != null )
        {

           if( session.getAttribute("incident") != null )
           {
            String targetFill = field.replaceFirst("search","Search");
            List<String> fields;

            IncidentScriptObject incident = (IncidentScriptObject)session.getAttribute("incident");

            // clear out the fields set to be cleared
            Map<String,List<String>> clearFields = (Map<String,List<String>>)session.getAttribute("autoFillClears");
            if (clearFields != null && clearFields.size() > 0) {
              fields = clearFields.get( targetFill+"Clear" );
              if (fields != null && fields.size() > 0) {
                for (int x=0; x < fields.size(); x++) {
                  incident.addUpdate( fields.get(x), null );
                }
              }
            }

            Map<String,List<String>> autoFills = (Map<String,List<String>>)session.getAttribute("autoFillFields");
            fields = autoFills.get( targetFill );


            // Set the appropriate web service results back to the incident
            if (service.contains("Group")) {  // add the group ID

              String t1 = (String)request.getParameter("tier1");
              String t2 = (String)request.getParameter("tier2");
              String t3 = (String)request.getParameter("tier3");
              incident.addUpdate( fields.get(0), t1 );
              incident.addUpdate( fields.get(1), t2 );
              incident.addUpdate( fields.get(2), t3 );
              incident.addUpdate( fields.get(3), (String)request.getParameter("grp_id") );

            } else if (service.equals("Customer")) {
              String company = (String)request.getParameter("company");
              String customer = (String)request.getParameter("customer");
              String firstName = (String)request.getParameter("firstName");
              String middleName = (String)request.getParameter("middleName");
              String lastName = (String)request.getParameter("lastName");
              String phoneNumber = (String)request.getParameter("phoneNumber");
              String organization = (String)request.getParameter("organization");
              String department = (String)request.getParameter("department");
              String site = (String)request.getParameter("site");
              String siteGroup = (String)request.getParameter("siteGroup");
              String siteID = (String)request.getParameter("siteID");
              String region = (String)request.getParameter("region");
              incident.addUpdate( fields.get(0), company );
              incident.addUpdate( fields.get(1), customer );
              incident.addUpdate( fields.get(2), firstName );
              incident.addUpdate( fields.get(3), middleName );
              incident.addUpdate( fields.get(4), lastName );
              incident.addUpdate( fields.get(5), phoneNumber );
              incident.addUpdate( fields.get(6), organization );
              incident.addUpdate( fields.get(7), department );
              incident.addUpdate( fields.get(8), site );
              incident.addUpdate( fields.get(9), siteGroup );
              incident.addUpdate( fields.get(10), siteID );
              incident.addUpdate( fields.get(11), region );
            } else if (service.equals("Assignee")) {
              String supportGroupShiftName = (String)request.getParameter("supportGroupShiftName");
              String company = (String)request.getParameter("company");
              String supportOrganization = (String)request.getParameter("supportOrganization");
              String supportGroupName = (String)request.getParameter("supportGroupName");
              String assignee = (String)request.getParameter("assignee");
              String peresonID = (String)request.getParameter("peresonID");
              String loginID = (String)request.getParameter("loginID");
              String supportGroupID = (String)request.getParameter("supportGroupID");
              String supportGroupShiftID = (String)request.getParameter("supportGroupShiftID");
              incident.addUpdate( fields.get(0), supportGroupShiftName );
              incident.addUpdate( fields.get(1), company );
              incident.addUpdate( fields.get(2), supportOrganization );
              incident.addUpdate( fields.get(3), supportGroupName );
              incident.addUpdate( fields.get(4), supportGroupID );
              incident.addUpdate( fields.get(5), assignee );
              incident.addUpdate( fields.get(6), peresonID );
              incident.addUpdate( fields.get(7), loginID );
            }

           }
           %>
           <jsp:forward page  ="<%=response.encodeURL(url+"?tab="+tab+"&service="+service+"&field="+field)%>"/>
           <%
         }
         else if ( request.getParameter("searchValue") != null &&
                  !"".equals( request.getParameter("searchValue") ) )
         {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");

           QueryObject query = new QueryObject();

           // Determine Organization WS Field
           if (service.equals("Customer")) {
             orgWSField = "Organization";
           }

           // by default we are searching for the first tier1 which is a company
           wsfield = "Company";

           // when tier1 is set add tier2 which is the organization
           if ( request.getParameter("tier1") != null )
           {
               wsfield = orgWSField;

               // Add the tier 1 selection list value to the query
               QueryField queryFieldTier1 = new QueryField();
               queryFieldTier1.setField( "Company" );
               queryFieldTier1.setOperator( new QueryLogic( "like" ) );
               queryFieldTier1.setValue( "\""+t1+"\"" );
               query.getFields().add( queryFieldTier1 );
           }

           // when tier1, tier2 are set add tier3 which is the group or person last name
           if ( request.getParameter("tier2") != null )
           {
               wsfield = "Support Group Name";
               if (service.equals("Customer")) {
                 wsfield = "Full Name";
               }

               // Add the tier 2 selection list value to the query
               QueryField queryFieldTier2 = new QueryField();
               queryFieldTier2.setField( orgWSField );
               queryFieldTier2.setOperator( new QueryLogic( "like" ) );
               queryFieldTier2.setValue( "\""+t2+"\"" );
               query.getFields().add( queryFieldTier2 );
           }
           if ( request.getParameter("tier3") != null )
           {
               wsfield = "Full Name";

               // Add the tier 2 selection list value to the query
               QueryField queryFieldTier2 = new QueryField();
               queryFieldTier2.setField( "Support Group Name" );
               queryFieldTier2.setOperator( new QueryLogic( "like" ) );
               queryFieldTier2.setValue( "\""+t3+"\"" );
               query.getFields().add( queryFieldTier2 );
           }

           String searchValue = (String)request.getParameter("searchValue");

           IncidentScriptObject incident = (IncidentScriptObject)session.getAttribute( "incident" );

           QueryField queryField = new QueryField();
           queryField.setField( wsfield );
           queryField.setOperator( new QueryLogic( "like" ) );
           queryField.setValue( searchValue );
           query.getFields().add( queryField );

           String qualification = qualification = "("+query.getQualification()+")";

           ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
           ExternalServiceResponse resps;
           esr.setAction("queryGenericList");

           // set the service to be used for the web service call when querying remedy, by default we use the company as the first tier
           if (t1 == null || t1 == "") {
             esr.addToken( "operation", "APINT_SC_QueryList" );
             esr.addToken( "service", "Company" );
           } else {
             esr.addToken( "service", service);
           }

           // find the limit for the search sample/results
           int limit;
           if ( t2 != null && t2.length() > 0 ) {
             limit = MAX_CASCADE_SEARCH_RESULTS3;
           } else {
             limit = MAX_CASCADE_SEARCH_RESULTS2 ;
           }
           esr.addToken( "max_limit", limit );
           esr.addToken( "Qualification", qualification );
           %>
           <%@ include file="includes/sendRequest.jsp"%>
           <%
           List<GenericWSScriptObject> tiers = new ArrayList<GenericWSScriptObject>();
           if( resps.getResponse() instanceof String )
           {
             %>
             <%@ include file="includes/searchErrorMsg.jsp"%>
             <%
           }
           else if ( resps.getResponse() != null )
           {
             tiers = (List<GenericWSScriptObject>)resps.getResponse();

             if ( tiers.size() == 0 )
             {
               out.print("<div class=\"msg-warning\">No Results Found</div>");
               %>
               <table>
                 <%@ include file="includes/currentRemObjects.jsp"%>
                 <tr>
                   <td colspan="2">
                    <input type="submit" name="search" value="Search Again"/>
                    <input type="submit" name="done" value="Done"/>
                   </td>
                 </tr>
               </table>
               <%
               if ( t1 != null && t1.length() > 0 )
               {
                 %><input type=hidden name="tier1" value="<%=t1%>"/><%
               }
               if ( t2 != null && t2.length() > 0 )
               {
                 %><input type=hidden name="tier2" value="<%=t2%>"/><%
               }
               if ( t3 != null && t3.length() > 0 )
               {
                 %><input type=hidden name="tier3" value="<%=t3%>"/><%
               }
             }
             else
             {
              if ( tiers.size() >= limit )
              {
                out.print("<div class=\"msg-warning\">The query matched more than the maximum number of entries specified for retrieval. Please refine search criteria if necessary.</div>");
              }
             %>
               <table>
                 <%@ include file="includes/currentRemObjects.jsp"%>
                 <tr>
                 <th colspan="2">Name</th>
                 </tr>
                 <%

                 List<Object> tierValues = new ArrayList<Object>();

                 for( GenericWSScriptObject tier : tiers )
                 {

                   String wsFieldName = wsfield.replaceAll(" ", "_");
                   String orgWSFieldName = orgWSField.replaceAll(" ", "_");

                   String urlString = "searchRemObjs.jsp?" + "url=" + url + "&tab=" + tab+"&service="+service+"&field="+field;
                   Object tierValue = "";
                   if ( t3 != null && t3.length() > 0 )
                   {

                      urlString += "&supportGroupShiftName=" + tier.get("Support_Group_Shift_Name") +
                            "&company=" + tier.get("Company") +
                            "&supportOrganization=" + tier.get("Support_Organization") +
                            "&supportGroupName=" + tier.get("Support_Group_Name") +
                            "&supportGroupID=" + tier.get("Support_Group_ID") +
                            "&assignee=" + tier.get("Full_Name") +
                            "&peresonID=" + tier.get("Person_ID") +
                            "&loginID=" + tier.get("Login_ID") +
                            "&supportGroupShiftID=" + tier.get("Support_Group_Shift_ID");
                     tierValue = tier.get(wsFieldName);

                   } else if ( t2 != null && t2.length() > 0 )
                   {
                     urlString += "&tier1=" + tier.get("Company");
                     urlString += "&tier2=" + tier.get(orgWSFieldName);
                     urlString += "&tier3=" + tier.get(wsFieldName);
                     tierValue = tier.get(wsFieldName);

                     // add the additional information for the fields to be saved back to the incident
                     if (service.contains("Group")) {  // add the group ID
                       urlString += "&grp_id=" + tier.get("Support_Group_ID");
                     } else if (service.contains("Customer")) {
                      urlString += "&company=" + tier.get("Company") +
                        "&firstName=" + tier.get("First_Name") +
                        "&middleName=" + tier.get("Middle_Initial") +
                        "&lastName=" + tier.get("Last_Name") +
                        "&phoneNumber=" + ((String)tier.get("Phone_Number_Business")).replaceAll("#","%23") +
                        "&organization=" + tier.get("Organization") +
                        "&department=" + tier.get("Department") +
                        "&site=" + tier.get("Site") +
                        "&siteGroup=" + tier.get("Site_Group") +
                        "&siteID=" + tier.get("Site_ID") +
                        "&customer="+tier.get("Full_Name") +
                        "&region="+tier.get("Region");
                     }
                   }
                   else if ( t1 != null && t1.length() > 0 )
                   {
                     urlString += "&tier1=" + tier.get("Company");
                     urlString += "&tier2=" + tier.get(wsFieldName);;
                     tierValue = tier.get(wsFieldName);
                   }
                   else
                   {
                     urlString += "&tier1=" + tier.get("Company");
                     tierValue = tier.get("Company");
                   }

                   if (!tierValues.contains(tierValue)) {
                     tierValues.add(tierValue);
                     %>
                     <tr>
                       <td colspan="2"><a href="<%=response.encodeURL(urlString)%>"><%=tierValue%></a></td>
                     </tr>
                     <%
                   }
                 }
                 %>
               </table>
             <%
             }
           }
           %>
           <a href="<%=response.encodeURL("searchRemObjs.jsp?url="+url+"&tab="+tab+"&service="+service+"&field="+field)%>">Search Again</a>
           <%
         }
         else
         {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");

           String searchFieldLabel = "Company";
           if ( t3 != null && t3.length() > 0 )
           {
             searchFieldLabel = "Full Name";
           } else if ( t2 != null && t2.length() > 0 )
           {
             searchFieldLabel = "Grp";
             if (service.equals("Customer")) {
               searchFieldLabel = "Full Name";
             }
           }
           else if ( t1 != null && t1.length() > 0 )
           {
               searchFieldLabel = "Org";
           }
           %>
           <table>
             <%@ include file="includes/currentRemObjects.jsp"%>
           </table>
           <table>
             <tr>
               <th>Field</th>
               <th>Op</th>
               <th>Value</th>
             </tr>
             <tr>
               <td><%=searchFieldLabel%></td>
               <td>like</td>
               <td>
                 <input type="text" name="searchValue" size="10" value='"%"'/>
               </td>
             </tr>
             <tr>
               <td colspan="3"  class="no-border">
                 <input type="submit" name="search" value="Search"/>
                 <input type="submit" name="done" value="Done"/>
               </td>
             </tr>
           </table>
           <%
           if ( t1 != null && t1.length() > 0 )
           {
             %><input type=hidden name="tier1" value="<%=t1%>"/><%
           }
           if ( t2 != null && t2.length() > 0 )
           {
             %><input type=hidden name="tier2" value="<%=t2%>"/><%
           }
           if ( t3 != null && t3.length() > 0 )
           {
             %><input type=hidden name="tier3" value="<%=t3%>"/><%
           }
         }
         %>
       </div>
     </form>
     <a href="<%=response.encodeURL(url+"?tab="+tab+"&service="+service+"&field="+field)%>">Back to Details</a>

     <div id="footer">
       <div class="footer-links">
         <a href="<%=response.encodeURL("menu.jsp")%>">SD Menu</a>&nbsp;-&nbsp;
         <%
         if(mobileGatewaySession.getUser().getAccessibleServices().size() > 1)
         {
           %>
           <a href="<%=response.encodeURL("../listServices.jsp")%>">Services</a>&nbsp;-&nbsp;
           <%
         }
         %>
         <a href="<%=response.encodeURL("../logout.jsp")%>">Logout</a>
       </div>
     </div>
   </body>
</html>