<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.invoqsystems.integration.remedy.scriptobjects.*"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />
<%@ include file="configuration.jsp"%>
<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
    </style>
  </head>

  <body>
    <%
    String url = (String)request.getParameter("url");
    String tab = (String)request.getParameter("tab");
    String service = (String)request.getParameter("service");
    String field = ((String)request.getParameter("field")).split("-")[0];
    %>
    <form name="form" action="<%=response.encodeURL("searchTierCat.jsp?url="+url+"&tab="+tab+"&service="+service+"&field="+field)%>" method="POST">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
        <h1>Search Category</h1>
      </div>
      <div id="content">
        <%
        if( (request.getParameter("done") != null || request.getParameter("tier3") != null ) && url != null )
        {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");
           if( session.getAttribute("incident") != null )
           {
            String targetFill = field.replaceFirst("search","");

            Map<String,List<String>> autoFills = (Map<String,List<String>>)session.getAttribute("autoFillFields");
            List<String> fields = autoFills.get( targetFill );
            IncidentScriptObject incident = (IncidentScriptObject)session.getAttribute("incident");
            incident.addUpdate( fields.get(0), t1 );
            incident.addUpdate( fields.get(1), t2 );
            incident.addUpdate( fields.get(2), t3 );

            if (service.equals("Product")) {
              Map<String,List<String>> clearFields = (Map<String,List<String>>)session.getAttribute("autoFillClears");
              fields = clearFields.get( targetFill+"Clear" );
              if (clearFields != null && clearFields.size() > 0 && fields != null && fields.size() > 0) {
                incident.addUpdate( fields.get(0), null );
                incident.addUpdate( fields.get(1), null );
              }
            }
           }
           %>
           <jsp:forward page  ="<%=response.encodeURL(url+"?tab="+tab+"&service="+service+"&field="+field)%>"/>
           <%
         }
         else if ( request.getParameter("searchValue") != null &&
                  !"".equals( request.getParameter("searchValue") ) )
         {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");

           QueryObject query = new QueryObject();

           String wsfield = "";
           if ( request.getParameter("tier1") != null )
           {
               wsfield = service+" Categorization Tier 2";

               // Add the tier 1 selection list value to the query
               QueryField queryFieldTier1 = new QueryField();
               queryFieldTier1.setField( ""+service+" Categorization Tier 1" );
               queryFieldTier1.setOperator( new QueryLogic( "like" ) );
               queryFieldTier1.setValue( "\""+t1+"\"" );
               query.getFields().add( queryFieldTier1 );
           }
           if ( request.getParameter("tier2") != null )
           {
               wsfield = service+" Categorization Tier 3";

               // Add the tier 2 selection list value to the query
               QueryField queryFieldTier1 = new QueryField();
               queryFieldTier1.setField( ""+service+" Categorization Tier 2" );
               queryFieldTier1.setOperator( new QueryLogic( "like" ) );
               queryFieldTier1.setValue( "\""+t2+"\"" );
               query.getFields().add( queryFieldTier1 );
           }

           String searchValue = (String)request.getParameter("searchValue");

           IncidentScriptObject incident = (IncidentScriptObject)session.getAttribute( "incident" );

           QueryField queryField = new QueryField();
           queryField.setField( wsfield );
           queryField.setOperator( new QueryLogic( "like" ) );
           queryField.setValue( searchValue );
           query.getFields().add( queryField );

           String qualification = qualification = "("+query.getQualification()+")";

           ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
           ExternalServiceResponse resps;
           esr.setAction("queryCGM");

           if (service.equals("Service")) {
             esr.addToken( "operation", "APSDI_SC_QueryList" );
             esr.addToken( "service", "APSDI_CFG_ServiceCatalog_WS" );
           } else {
             esr.addToken( "operation", "APSDI_PC_QueryList" );
             esr.addToken( "service", "APSDI_PCT_ProductCatalog_WS" );
           }

           // find the limit for the search sample/results
           int limit;
           if ( t2 != null && t2.length() > 0 ) {
             limit = MAX_CASCADE_SEARCH_RESULTS3;
           } else if ( t1 != null && t1.length() > 0 ) {
             limit = MAX_CASCADE_SEARCH_RESULTS3;
           } else {
             limit = MAX_SEARCH_RESULTS1;
           }
           esr.addToken( "max_limit", limit );
           esr.addToken( "Qualification", qualification );
           %>
           <%@ include file="includes/sendRequest.jsp"%>
           <%
           List<GenericWSScriptObject> tiers = new ArrayList<GenericWSScriptObject>();
           if( resps.getResponse() instanceof String )
           {
             %>
             <%@ include file="includes/searchErrorMsg.jsp"%>
             <%
           }
           else if ( resps.getResponse() != null )
           {
             tiers = (List<GenericWSScriptObject>)resps.getResponse();

             if ( tiers.size() == 0 )
             {
               out.print("<div class=\"msg-warning\">No Results Found</div>");
               %>
               <table>
                 <%@ include file="includes/currentTiers.jsp"%>
                 <tr>
                   <td colspan="2">
                    <input type="submit" name="search" value="Search Again"/>
                    <input type="submit" name="done" value="Done"/>
                   </td>
                 </tr>
               </table>
               <%
               if ( t1 != null && t1.length() > 0 )
               {
                 %><input type=hidden name="tier1" value="<%=t1%>"/><%
               }
               if ( t2 != null && t2.length() > 0 )
               {
                 %><input type=hidden name="tier2" value="<%=t2%>"/><%
               }
               if ( t3 != null && t3.length() > 0 )
               {
                 %><input type=hidden name="tier3" value="<%=t3%>"/><%
               }
             }
             else
             {
              if ( tiers.size() >= limit )
              {
                out.print("<div class=\"msg-warning\">The query matched more than the maximum number of entries specified for retrieval. Please refine search criteria if necessary.</div>");
              }
             %>
               <table>
                 <%@ include file="includes/currentTiers.jsp"%>
                 <tr>
                 <th colspan="2">Name</th>
                 </tr>
                 <%

                 List<Object> tierValues = new ArrayList<Object>();

                 for( GenericWSScriptObject tier : tiers )
                 {
                 %>

                   <%
                   String urlString = "searchTierCat.jsp?" + "url=" + url + "&tab=" + tab+"&service="+service+"&field="+field;
                   Object tierValue = "";
                   if ( t2 != null && t2.length() > 0 )
                   {
                     urlString += "&tier1=" + tier.get(service+"_Categorization_Tier_1");
                     urlString += "&tier2=" + tier.get(service+"_Categorization_Tier_2");
                     urlString += "&tier3=" + tier.get(service+"_Categorization_Tier_3");
                     tierValue = tier.get(service+"_Categorization_Tier_3");

                   }
                   else if ( t1 != null && t1.length() > 0 )
                   {
                     urlString += "&tier1=" + tier.get(service+"_Categorization_Tier_1");
                     urlString += "&tier2=" + tier.get(service+"_Categorization_Tier_2");
                     tierValue = tier.get(service+"_Categorization_Tier_2");
                   }
                   else
                   {
                     urlString += "&tier1=" + tier.get(service+"_Categorization_Tier_1");
                     tierValue = tier.get(service+"_Categorization_Tier_1");
                   }

                   if (!tierValues.contains(tierValue)) {
                     tierValues.add(tierValue);
                     %>
                     <tr>
                       <td colspan="2"><a href="<%=response.encodeURL(urlString)%>"><%=tierValue%></a></td>
                     </tr>
                     <%
                   }
                 }
                 %>
               </table>
             <%
             }
           }
           %>
           <a href="<%=response.encodeURL("searchTierCat.jsp?url="+url+"&tab="+tab+"&service="+service+"&field="+field)%>">Search Again</a>
           <%
         }
         else
         {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");

           String searchFieldLabel = "Tier 1";
           if ( t2 != null && t2.length() > 0 )
           {
             searchFieldLabel = "Tier 3";
           }
           else if ( t1 != null && t1.length() > 0 )
           {
               searchFieldLabel = "Tier 2";
           }
           %>
           <table>
             <%@ include file="includes/currentTiers.jsp"%>
           </table>
           <table>
             <tr>
               <th>Field</th>
               <th>Op</th>
               <th>Value</th>
             </tr>
             <tr>
               <td><%=searchFieldLabel%></td>
               <%
                if ( t1 == null ) {
               %>
                 <td>eq</td>
                 <td>
                   <select name="tier1">
                     <%
                       List<String> tier1List;
                       if (service.equals("Product")) { // use the product tiers
                         tier1List = productCategorizationTier1;
                       } else {  // use the service tiers
                         tier1List = productOperationalTier1;
                       }
                       for(int i=0; i < tier1List.size(); i++) {
                         out.print("<option value='"+tier1List.get(i)+"'>"+tier1List.get(i)+"</option>");
                       }
                     %>
                   </select>
                 </td>
              <%
                } else {
              %>
                 <td>like</td>
                 <td>
                   <input type="text" name="searchValue" size="10" value='"%"'/>
                 </td>
              <%
                }
              %>
             </tr>
             <tr>
               <td colspan="3"  class="no-border">
                 <input type="submit" name="search" value="Search"/>
                 <input type="submit" name="done" value="Done"/>
               </td>
             </tr>
           </table>
           <%
           if ( t1 != null && t1.length() > 0 )
           {
             %><input type=hidden name="tier1" value="<%=t1%>"/><%
           }
           if ( t2 != null && t2.length() > 0 )
           {
             %><input type=hidden name="tier2" value="<%=t2%>"/><%
           }
           if ( t3 != null && t3.length() > 0 )
           {
             %><input type=hidden name="tier3" value="<%=t3%>"/><%
           }
         }
         %>
       </div>
     </form>
     <a href="<%=response.encodeURL(url+"?tab="+tab+"&service="+service+"&field="+field)%>">Back to Details</a>

     <div id="footer">
       <div class="footer-links">
         <a href="<%=response.encodeURL("menu.jsp")%>">SD Menu</a>&nbsp;-&nbsp;
         <%
         if(mobileGatewaySession.getUser().getAccessibleServices().size() > 1)
         {
           %>
           <a href="<%=response.encodeURL("../listServices.jsp")%>">Services</a>&nbsp;-&nbsp;
           <%
         }
         %>
         <a href="<%=response.encodeURL("../logout.jsp")%>">Logout</a>
       </div>
     </div>
   </body>
</html>